---
dependency_scanning:
  image: registry.gitlab.com/inko-lang/development-docker-images:cargo-audit
  stage: test
  before_script:
    - cargo --version
    - rustc --version
    - ruby --version
  script:
    - ./scripts/audit.rb
  artifacts:
    when: always
    expire_in: 1 day
    reports:
      dependency_scanning: gl-dependency-scanning-report.json
    paths:
      - gl-dependency-scanning-report.json
  allow_failure: true
  except:
    - tags

lint:clippy:
  image: registry.gitlab.com/inko-lang/development-docker-images:rust-stable
  stage: test
  before_script:
    - rustc --version
    - cargo --version
  script:
    - cargo clippy
  cache:
    paths:
      - .cargo
      - target
  except:
    - tags

lint:rustfmt:
  image: registry.gitlab.com/inko-lang/development-docker-images:rust-stable
  stage: test
  before_script:
    - rustc --version
    - cargo --version
    - rustfmt --version
  script:
    - rustfmt --check src/main.rs
  except:
    - tags
